Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.rdf.arp
Class NTriple

    java.lang.Object
      com.hp.hpl.jena.rdf.arp.NTriple

All Implemented Interfaces:
  ARPErrorNumbers

    public class NTriple

extends java.lang.Object
implements ARPErrorNumbers

A command line interface into ARP. Creates NTriple's or just error messages.

     java <class-path> com.hp.hpl.jena.arp.NTriple ( [ -[xstfurR]][ -b xmlBase -[eiw] NNN[,NNN...] ] [ file ] [ url ] )...

All options, files and URLs can be intemingled in any order. They are processed from left-to-right.

file
  Converts RDF/XML file into N-triples
url
  Converts RDF/XML from URL into N-triples
-b uri
  Sets XML Base to the absolute URI.
-r
  Content is RDF (default, no embedding, rdf:RDF tag may be omitted).
-R
  RDF embedded in XML document, search for obligatory rdf:RDF start element.
-t
  No n-triple output, error checking only.
-x
  Lax mode - warnings are suppressed.
-s
  Strict mode - most warnings are errors.
-u
  Allow unqualified attributes (defaults to warning).
-f
  All errors are fatal - report first one only.
-n
  Show line numbers of each triple.
-b url
  Sets XML Base to the absolute url.
-e NNN[,NNN...]
  Treats numbered warning conditions as errrors.
-w NNN[,NNN...]
  Treats numbered error conditions as warnings.
-i NNN[,NNN...]
  Ignores numbered error/warning conditions.

Author:
  jjc

Field Summary

Fields inherited from interface com.hp.hpl.jena.rdf.arp.ARPErrorNumbers
`EM_ERROR, EM_FATAL, EM_IGNORE, EM_WARNING, ERR_ABOUTEACH_NOT_TOPLEVEL, ERR_BAD_RDF_ATTRIBUTE, ERR_BAD_RDF_ELEMENT, ERR_ENCODING_MISMATCH, ERR_GENERIC_IO, ERR_INTERNAL_ERROR, ERR_INTERRUPTED, ERR_LI_AS_TYPE, ERR_NOT_WHITESPACE, ERR_RESOLVING_AGAINST_MALFORMED_BASE, ERR_RESOLVING_AGAINST_RELATIVE_BASE, ERR_RESOLVING_URI_AGAINST_NULL_BASE, ERR_SAX_ERROR, ERR_SAX_FATAL_ERROR, ERR_STRING_NOT_NORMAL_FORM_C, ERR_SYNTAX_ERROR, ERR_UNABLE_TO_RECOVER, ERR_URI_NOT_NORMAL_FORM_C, ERR_UTF_ENCODING, IGN_DAML_COLLECTION, IGN_NO_BASE_URI_SPECIFIED, IGN_PRIVATE_XMLLANG, IGN_XMLBASE_SIGNIFICANT, IGN_XMLBASE_USED, WARN_BAD_NAME, WARN_BAD_NAMESPACE_URI, WARN_BAD_RDF_NAMESPACE_URI, WARN_BAD_XML, WARN_BAD_XML_NAMESPACE_URI, WARN_BAD_XMLLANG, WARN_BIG_FILE, WARN_DEPRECATED_XMLLANG, WARN_ENCODING_MISMATCH, WARN_IN_STRICT_MODE, WARN_LEGAL_REUSE_OF_ID, WARN_MALFORMED_URI, WARN_MALFORMED_XMLLANG, WARN_MINOR_INTERNAL_ERROR, WARN_NON_IANA_ENCODING, WARN_NONCANONICAL_IANA_NAME, WARN_NOT_RDF_NAMESPACE, WARN_PROCESSING_INSTRUCTION_IN_RDF, WARN_QNAME_AS_ID, WARN_RDF_NN_AS_TYPE, WARN_REDEFINITION_OF_ID, WARN_RELATIVE_NAMESPACE_URI_DEPRECATED, WARN_RELATIVE_URI, WARN_RESOLVING_URI_AGAINST_EMPTY_BASE, WARN_SAX_WARNING, WARN_STRING_COMPOSING_CHAR, WARN_STRING_NOT_NORMAL_FORM_C, WARN_UNKNOWN_PARSETYPE, WARN_UNKNOWN_RDF_ATTRIBUTE, WARN_UNKNOWN_RDF_ELEMENT, WARN_UNKNOWN_XML_ATTRIBUTE, WARN_UNQUALIFIED_ATTRIBUTE, WARN_UNQUALIFIED_ELEMENT, WARN_UNQUALIFIED_RDF_ATTRIBUTE, WARN_UNSUPPORTED_ENCODING, WARN_URI_COMPOSING_CHAR, WARN_XMLBASE_MISSING`

Constructor Summary
`NTriple()`

Method Summary
`static void` | `main(java.lang.String[] args)` Starts an RDF/XML to NTriple converter.
`static void` | `mainEh(java.lang.String[] args, org.xml.sax.ErrorHandler eh, ARPEventHandler ap)` Starts an RDF/XML to NTriple converter, using an error handler, and an ARPHandler.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NTriple

    public NTriple()

Method Detail

### main

    public static void main(java.lang.String[] args)

  Starts an RDF/XML to NTriple converter.

  Parameters:
    `args` - The command-line arguments.

### mainEh

    public static void mainEh(java.lang.String[] args,
                              org.xml.sax.ErrorHandler eh,
                              ARPEventHandler ap)

  Starts an RDF/XML to NTriple converter, using an error handler, and an ARPHandler. Statements get processed both by this class, and by the passed in StatementHandler

  Parameters:
    `args` - The command-line arguments.
    `eh` - Can be null.
    `ap` - Can be null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP